Update Org Networking Settings

Update Org Networking Settings
Update networking-specific settings for the given organization.

Update networking-specific settings for the given organization.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/orgs/{orgUrn}/networkingSettings
COPY
Path Parameters
string
orgUrn
Required

orgUrn


Request Body
OrgNetworkingSettings of type(s) application/json
Required
{
    "networkingTenancyEnabled": false,
    "orgNameForLogs": "string"
}
boolean
networkingTenancyEnabled
Optional

Whether this Organization has tenancy for the network domain in the backing network provider. If enabled, can only be disabled after all Org VDCs and VDC Groups that have networking tenancy enabled are deleted. Is disabled by default.

string
orgNameForLogs
Optional
Constraints: maxLength: 8

A short (8 char) display name to identify this Organization in the logs of the backing network provider. Only applies if the Organization is networking tenancy enabled. This identifier is globally unique.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns OrgNetworkingSettings of type(s) application/json;version=9.1.0
{
    "networkingTenancyEnabled": false,
    "orgNameForLogs": "string"
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/orgs/{orgUrn}/networkingSettings
                
Deprecated
Availability
Added in 38.1
Deprecated in 9.1.0
With alternative: see
None, not relevant for VCFA. The NSX project log name is auto-generated based on the organization name.
Org Networking Settings Operations
GET
Get Org Networking Settings
Deprecated
PUT
Update Org Networking Settings
Deprecated